Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005348TestLinkTest Plan - Add/Remove Test Casespublic2012-11-16 10:182014-08-11 09:18
ReporterRvdP2012 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005348: Allow test cases from other projects to be added to Test Plan
DescriptionWhen having a system consisting of multiple (integrated) products, you have a distinction between product tests (covering the individual products) and system tests (covering the integrated set of products). To create a test plan covering both types of testing, both sets of test cases must be in the same TestLink project. When all development is done within the same organisation / department, this is usually not a problem.
However, this is a problem when you have two competitive products that can be part of the final system, and those products are maintained by two competitive suppliers. If these suppliers also use the same TestLink server (for example, because as system test group you've been asked to help them do their product testing), then you don't want to give both of the supplier access to the same TestLink project as then they have insights in each others products / features through the test cases. But as you're assisting them in testing their products in the system, you may want to make an overall Test Plan that covers both their product tests and your system tests (to make management reporting easier).

In such a case it would be nice if it was possible to be able to select test cases from another TestLink childlike-project when setting up a Test Plan in the parent-project. Maintaining the test cases then can still be done in this the childlike-project, but execution and reporting can be done from the parent-project. In general, you would be able to include lower-level test cases in higher-level test plans.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0017827)
fman (administrator)
2012-11-16 13:20

a document with a possible scenario with a little bit more detailed will help a lot, to prepare some proposal to solve this issue without any kind of development.

early versions of TL allow this and IMHO creates some confusion.
Impacts at GUI level will be not minor, and lot of subtle interactions will all kind of items that belong ONLY TO test project like keywords, custom fields.
Then other issue regarding user rights arise.
(0017841)
RvdP2012 (reporter)
2012-11-19 11:30

I understand the problems. I'll try to work out a way that is not confusing and come back to this ticket then. Not that high a priority at this moment, so better to really consider the consequences than making a hasty modification.
(0017847)
fman (administrator)
2012-11-19 15:47

IMHO the solution has to be found at reporting level i.e. having possibility to say: COMBINE RESULTS OF THESE 2 (or more ) test plans.

IMHO this will have ZERO impact on TL and will provide what you need.
Give also a look to the QUICK & DIRTY test case resuse feature
(0020253)
RvdP2012 (reporter)
2013-12-30 13:23

Ticket can, in my opinion, be closed. The "Ghost"-implementation can handle the functionality requested for.

- Issue History
Date Modified Username Field Change
2012-11-16 10:18 RvdP2012 New Issue
2012-11-16 13:20 fman Note Added: 0017827
2012-11-19 11:30 RvdP2012 Note Added: 0017841
2012-11-19 15:47 fman Note Added: 0017847
2013-12-30 13:23 RvdP2012 Note Added: 0020253
2013-12-30 13:41 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-12-30 13:41 fman Status new => closed
2013-12-30 13:41 fman Assigned To => fman
2013-12-30 13:41 fman Resolution open => fixed
2013-12-30 13:41 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker